import * as THREE from "three";
export declare type GeometryType = THREE.Geometry | THREE.BufferGeometry;
export declare type MaterialType = THREE.MeshMaterialType;
export declare type TextureType = THREE.Texture;
export declare type AssetType = GeometryType | MaterialType | TextureType;
export declare type GeometryFactory = () => Promise<GeometryType>;
export declare type MaterialFactory = () => Promise<MaterialType>;
export declare type TextureFactory = () => Promise<TextureType>;
export declare type LightFactory = () => Promise<THREE.Light>;
export declare type CameraFactory = (size: {
    width: number;
    height: number;
}) => Promise<THREE.Camera>;
export declare enum AssetTypes {
    TEXTURE = "TEXTURE",
    MATERIAL = "MATERIAL",
    GEOMETRY = "GEOMETRY"
}
